Inhalte

# Funktion Split

Gibt einen Zeichenfolgenausdruck als eine Matrix mit Unterzeichenfolgen zurück.

### Syntax:

    Split (Ausdruck As String, Trennzeichen, Grenze)

### Rückgabewert:

Bei Option VBASupport 1: String, bei Option VBASupport 0: Variant/String

### Parameter:

Ausdruck: Beliebige Zeichenfolge.

Trennzeichen: Eine optionale Zeichenfolge mit einer oder mehreren Zeichen Länge, die zum Trennen von Ausdruck verwendet wird. Der Standardwert ist das Leerzeichen.

Grenze: Eine optionale Anzahl von Teilzeichenfolgen, die Sie zurückgeben möchten.

### Beispiel:

    Dim a(3)
    Sub main()
        a(0) = "ABCDE"
        a(1) = 42
        a(2) = "MN"
        a(3) = "X Y Z"
        JStr = Join1()
        Call Show(JStr, Split1(JStr))
        JStr = Join2()
        Call Show(JStr, Split1(JStr))
        JStr = Join3()
        Call Show(JStr, Split1(JStr))
    End Sub

    Function Join1()
        Join1 = Join(a(), "abc")
    End Function

    Function Join2()
        Join2 = Join(a(), ",")
    End Function

    Function Join3()
        Join3 = Join(a())
    End Function

    Function Split1(aStr)
        Split1 = Split(aStr, "D")
    End Function

    Sub Show(JoinStr, TheArray)
        l = LBound(TheArray)
        u = UBound(TheArray)
        total$ = "=============================" + Chr$(13) + JoinStr + Chr$(13) + Chr$(13)
        For i = l To u
            total$ = total$ + TheArray(i) + Str(Len(TheArray(i))) + Chr$(13)
        Next i
        MsgBox total$
    End Sub

Verwandte Themen

Zeichenfolgenfunktionen